<?php

namespace App\Modules\Group\Application;

use App\Modules\Shared\Domain\Bus\Query\Response;

class GroupResponses implements Response
{

    private array $data;

    public function __construct(GroupResponse ...$data)
    {
        $this->data = $data;
    }

    public function data()
    {
        return $this->data;
    }
}
